Loading...
Searching...
No Matches
mbedtls_sha256_context Struct Reference

The SHA-256 context structure. More...

`#include <sha256.h>`

## Data Fields

unsigned char | private_buffer [64]
uint32_t | private_total [2]
uint32_t | private_state [8]
int | private_is224
int | dummy

## Detailed Description

The SHA-256 context structure.

               The structure is used both for SHA-256 and for SHA-224
               checksum calculations. The choice between these two is
               made in the call to mbedtls_sha256_starts().

Definition at line 40 of file sha256.h.

## Field Documentation

## dummy

int mbedtls_sha256_context::dummy

Definition at line 11 of file sha256_alt.h.

## private_buffer

unsigned char mbedtls_sha256_context::private_buffer[64]

The data block being processed.

Definition at line 41 of file sha256.h.

## private_is224

int mbedtls_sha256_context::private_is224

Determines which function to use: 0: Use SHA-256, or 1: Use SHA-224.

Definition at line 45 of file sha256.h.

## private_state

uint32_t mbedtls_sha256_context::private_state[8]

The intermediate digest state.

Definition at line 43 of file sha256.h.

## private_total

uint32_t mbedtls_sha256_context::private_total[2]

The number of Bytes processed.

Definition at line 42 of file sha256.h.

The documentation for this struct was generated from the following files:

- sha256.h
- sha256_alt.h